Package org.opensaml.security.crypto.ec.curves

# Class BasicNamedCurve

java.lang.Object
org.opensaml.security.crypto.ec.curves.BasicNamedCurve

All Implemented Interfaces:
  `NamedCurve`

public class BasicNamedCurve extends Object implements NamedCurve
Basic implementations of `NamedCurve` where all required properties are simply supplied at construction time.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`
Curve name.
`private String`
`oid`
Curve OID.
`private ECParameterSpec`
`params`
Curve's parameters as an instance of `ECParameterSpec`.

## Constructor Summary

Constructors
Constructor
Description
`BasicNamedCurve(String objectIdentifier, String standardName, ECParameterSpec parameters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).
`String`
`getObjectIdentifier()`
Get the curve's object identifier (OID).
`ECParameterSpec`
`getParameterSpec()`
Get the curve's `ECParameterSpec`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.opensaml.security.crypto.ec.NamedCurve

`getKeyLength, getURI`

## Field Details

### name

@Nonnull private String name
Curve name.

### oid

@Nonnull private String oid
Curve OID.

### params

@Nonnull private ECParameterSpec params
Curve's parameters as an instance of `ECParameterSpec`.

## Constructor Details

### BasicNamedCurve

public BasicNamedCurve(@Nonnull String objectIdentifier, @Nonnull String standardName, @Nonnull ECParameterSpec parameters)
Constructor.

Parameters:
  `objectIdentifier` - the curve's object identifier (OID)
  `standardName` - the curve's standard name
  `parameters` - the curve's parameters as an `ECParameterSpec`

## Method Details

### getObjectIdentifier

@Nonnull public String getObjectIdentifier()
Get the curve's object identifier (OID).

Specified by:
  `getObjectIdentifier` in interface `NamedCurve`
Returns:
  the OID

### getName

@Nonnull public String getName()
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).

Specified by:
  `getName` in interface `NamedCurve`
Returns:
  the name

### getParameterSpec

@Nonnull public ECParameterSpec getParameterSpec()
Get the curve's `ECParameterSpec`.

Specified by:
  `getParameterSpec` in interface `NamedCurve`
Returns:
  the parameter spec instance

### toString

public String toString()

Overrides:
  `toString` in class `Object`